Skip to content

Zones

All operations require authentication.

3 operationsv1/ipLoadbalancing/availableZones · /ipLoadbalancing/{serviceName}
Agent setup

List available zonesDeprecated

GET
/1.0/ipLoadbalancing/availableZones

Deprecated since May 9, 2018, will be removed on Jun 10, 2018.

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/availableZones \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List zonesProduction

GET
/1.0/ipLoadbalancing/{serviceName}/zone

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/zone \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a zoneProduction

GET
/1.0/ipLoadbalancing/{serviceName}/zone/{name}

Path parameters

name
required
string

Name of your zone

serviceName
required
string

The internal name of your IP load balancing

Response

200Zonesuccessful operation
name
read-only
string

Name of your zone

state
read-only
string

State of your zone

Example uses name = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/zone/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "name": "string", "state": "string"}